#
# Conditional build:
%bcond_without	static_libs	# don't build static library
%bcond_without	tests		# check target
#
Summary:	The Typesafe Signal Framework for C++
Summary(pl.UTF-8):	Środowisko sygnałów z kontrolą typów dla C++
Name:		libsigc++3
Version:	3.2.0
Release:	1
Epoch:		1
License:	LGPL v2.1+
Group:		Libraries
Source0:	https://download.gnome.org/sources/libsigc++/3.2/libsigc++-%{version}.tar.xz
# Source0-md5:	0bf0b7a367a30da23b4940b44ea4770e
URL:		https://libsigcplusplus.github.io/libsigcplusplus/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	doxygen >= 1:1.8.9
BuildRequires:	libstdc++-devel >= 6:7
BuildRequires:	libtool >= 2:2.0
BuildRequires:	m4
BuildRequires:	mm-common >= 0.9.12
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Obsoletes:	libsigc++-examples
Conflicts:	libsigc++ < 1.1.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library implements a full callback system for use in widget
libraries, abstract interfaces, and general programming. Originally
part of the Gtk-- widget set, libsigc++ is now a seperate library to
provide for more general use. It is the most complete library of its
kind with the ablity to connect an abstract callback to a class
method, function, or function object. It contains adaptor classes for
connection of dissimilar callbacks and has an ease of use unmatched by
other C++ callback libraries.

%description -l pl.UTF-8
Ta biblioteka jest implementacją pełnego systemu callbacków do
używania w bibliotekach widgetów, interfejsach abstrakcyjnych i
ogólnym programowaniu. Oryginalnie była to część zestawu widgetów
Gtk--, ale jest teraz oddzielną biblioteką ogólniejszego
przeznaczenia. Jest to kompletna biblioteka tego typu z możliwością
łączenia abstrakcyjnych callbacków z metodami klas, funkcjami lub
obiektami funkcji. Zawiera klasy adapterów do łączenia różnych
callbacków.

%package devel
Summary:	Development tools for the Typesafe Signal Framework for C++
Summary(pl.UTF-8):	Narzędzia programistyczne do środowiska libsig++
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	libstdc++-devel >= 6:7
Requires:	m4

%description devel
Development tools for the Typesafe Signal Framework for C++.

%description devel -l pl.UTF-8
Narzędzia programistyczne do środowiska libsigc++ - sygnałów z
kontrolą typów.

%package static
Summary:	Static Typesafe Signal Framework for C++ libraries
Summary(pl.UTF-8):	Statyczna biblioteka libsigc++
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static Typesafe Signal Framework for C++ libraries.

%description static -l pl.UTF-8
Statyczna biblioteka libsigc++ - środowiska sygnałów z kontrolą typów.

%package doc
Summary:	Reference documentation for libsigc++
Summary(pl.UTF-8):	Szczegółowa dokumentacja dla libsigc++
Group:		Documentation
BuildArch:	noarch

%description doc
Reference documentation for libsigc++.

%description doc -l pl.UTF-8
Szczegółowa dokumentacja dla libsigc++.

%prep
%setup -q -n libsigc++-%{version}

%build
mm-common-prepare --copy --force
%{__libtoolize}
%{__aclocal} -I build
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static}
%{__make}

%if %{with tests}
%{__make} check
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libsigc-3.0.la

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README.md
%attr(755,root,root) %{_libdir}/libsigc-3.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsigc-3.0.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsigc-3.0.so
%{_includedir}/sigc++-3.0
%{_libdir}/sigc++-3.0
%{_pkgconfigdir}/sigc++-3.0.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libsigc-3.0.a
%endif

%files doc
%defattr(644,root,root,755)
%{_datadir}/devhelp/books/libsigc++-3.0
%{_docdir}/libsigc++-3.0
%changelog
* Fri Feb 18 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libsigc++3.git;a=log;h=master

* Fri Feb 18 2022 Jakub Bogusz <qboosh@pld-linux.org> 81dbf40
- updated to 3.2.0

* Thu May 20 2021 Jakub Bogusz <qboosh@pld-linux.org> 9eb690c
- updated to 3.0.7

* Wed Nov 25 2020 Jakub Bogusz <qboosh@pld-linux.org> 5d29add
- updated to 3.0.6

* Wed Sep 30 2020 Jakub Bogusz <qboosh@pld-linux.org> 32b65b3
- updated to 3.0.4

* Tue Apr 07 2020 Jakub Bogusz <qboosh@pld-linux.org> 08e7f6c
- updated to 3.0.3

* Fri Jan 03 2020 Jakub Bogusz <qboosh@pld-linux.org> b876030
- updated to 3.0.2

* Sat Nov 16 2019 Jakub Bogusz <qboosh@pld-linux.org> ab0420d
- libsigc++ 3.0.0 as libsigc++3, parallel installable with libsigc++ 2.x

* Wed Jun 26 2019 Jakub Bogusz <qboosh@pld-linux.org> c0ce4a0
- updated to 2.10.2

* Wed Nov 07 2018 Jakub Bogusz <qboosh@pld-linux.org> 13e32c2
- updated URL, updated to 2.10.1

* Sat Dec 03 2016 Jakub Bogusz <qboosh@pld-linux.org> db10935
- updated to 2.10.0
- added tests bcond

* Fri Mar 18 2016 Jakub Bogusz <qboosh@pld-linux.org> 09fd17d
- updated to 2.8.0

* Fri Nov 13 2015 Jakub Bogusz <qboosh@pld-linux.org> da87c9e
- updated to 2.6.2

* Mon Sep 28 2015 Jakub Bogusz <qboosh@pld-linux.org> 7d9df77
- updated to 2.6.1; C++11 now

* Sun Mar 01 2015 Jakub Bogusz <qboosh@pld-linux.org> 1e5c6e0
- updated to 2.4.1

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> 5995149
- x32 rebuild
- release 2 (by relup.sh)

* Thu Sep 18 2014 Jakub Bogusz <qboosh@pld-linux.org> d7fc675
- updated to 2.4.0

* Sun Oct 21 2012 Jan Rękorajski <baggins@pld-linux.org> d7c160d
- rebuild to fix broken filedigests
- release 2 (by relup.sh)

* Wed Sep 26 2012 Jakub Bogusz <qboosh@pld-linux.org> 1c77324
- updated to 2.2.11

* Thu Jul 28 2011 Jakub Bogusz <qboosh@pld-linux.org> 6e5cfdb
- updated to 2.2.10
- xz source

* Thu Mar 10 2011 Jakub Bogusz <qboosh@pld-linux.org> 1338216
- updated to 2.2.9

